zenilib: zenilib/jni/external/freetype2/src/type1/t1load.h File Reference

zenilib 0.5.3.0

- Main Page
- Modules
- Namespaces
- Classes
- Files

- File List
- File Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Properties Friends Macros Groups Pages
Classes | Macros | Typedefs | Functions
t1load.h File Reference
`#include <ft2build.h>`
`#include <FT_INTERNAL_STREAM_H>`
`#include <FT_INTERNAL_POSTSCRIPT_AUX_H>`
`#include <FT_MULTIPLE_MASTERS_H>`
`#include "t1parse.h"`

Go to the source code of this file.

## Classes

struct | T1_Loader_

## Macros

#define | T1_FONTDIR_AFTER_PRIVATE ( 1 << 1 )
#define | T1_PRIVATE ( 1 << 0 )

## Typedefs

typedef FT_BEGIN_HEADER struct T1_Loader_ * | T1_Loader
typedef FT_BEGIN_HEADER struct T1_Loader_ | T1_LoaderRec

## Functions

| T1_Done_Blend (T1_Face face)
| T1_Get_MM_Var (T1_Face face, FT_MM_Var **master)
| T1_Get_Multi_Master (T1_Face face, FT_Multi_Master *master)
| T1_Open_Face (T1_Face face)
| T1_Set_MM_Blend (T1_Face face, FT_UInt num_coords, FT_Fixed *coords)
| T1_Set_MM_Design (T1_Face face, FT_UInt num_coords, FT_Long *coords)
| T1_Set_Var_Design (T1_Face face, FT_UInt num_coords, FT_Fixed *coords)

## Macro Definition Documentation

#define T1_FONTDIR_AFTER_PRIVATE ( 1 << 1 )

Definition at line 60 of file t1load.h.

Referenced by parse_dict().

#define T1_PRIVATE ( 1 << 0 )

Definition at line 59 of file t1load.h.

Referenced by parse_dict(), and parse_private().

## Typedef Documentation

typedef FT_BEGIN_HEADER struct T1_Loader_ * T1_Loader

typedef FT_BEGIN_HEADER struct T1_Loader_ T1_LoaderRec

## Function Documentation

T1_Done_Blend | ( | T1_Face | face | ) |

Definition at line 511 of file t1load.c.

References PS_BlendRec_::axis_names, PS_BlendRec_::bboxes, PS_BlendRec_::default_weight_vector, PS_BlendRec_::design_map, PS_DesignMap_::design_points, PS_BlendRec_::design_pos, PS_BlendRec_::font_infos, FT_FREE, PS_BlendRec_::num_axis, PS_BlendRec_::num_designs, PS_DesignMap_::num_points, PS_BlendRec_::privates, and PS_BlendRec_::weight_vector.

Referenced by T1_Face_Done(), and T1_Open_Face().

T1_Get_MM_Var | ( | T1_Face | face,
|  | FT_MM_Var ** | master
| ) |  |

Definition at line 301 of file t1load.c.

References FT_Multi_Master_::axis, FT_MM_Var_::axis, FT_Var_Axis_::def, PS_BlendRec_::default_weight_vector, PS_BlendRec_::design_map, error, FT_ALLOC, FT_MAKE_TAG, ft_strcmp, i, INT_TO_FIXED, FT_Var_Axis_::maximum, FT_Var_Axis_::minimum, mm_axis_unmap(), mm_weights_unmap(), FT_Var_Axis_::name, FT_MM_Var_::namedstyle, NULL, FT_Multi_Master_::num_axis, FT_MM_Var_::num_axis, PS_BlendRec_::num_axis, FT_Multi_Master_::num_designs, FT_MM_Var_::num_designs, PS_BlendRec_::num_designs, FT_MM_Var_::num_namedstyles, sizeof(), FT_Var_Axis_::strid, T1_Get_Multi_Master(), T1_MAX_MM_AXIS, and FT_Var_Axis_::tag.

T1_Get_Multi_Master | ( | T1_Face | face,
|  | FT_Multi_Master * | master
| ) |  |

Definition at line 184 of file t1load.c.

References PS_BlendRec_::axis_names, PS_BlendRec_::design_map, PS_DesignMap_::design_points, error, map, PS_BlendRec_::num_axis, PS_BlendRec_::num_designs, and PS_DesignMap_::num_points.

Referenced by T1_Get_MM_Var().

T1_Open_Face | ( | T1_Face | face | ) |

Definition at line 2046 of file t1load.c.

References PS_PrivateRec_::blue_fuzz, PS_PrivateRec_::blue_scale, PS_PrivateRec_::blue_shift, T1_FontRec_::charstrings, T1_FontRec_::charstrings_block, T1_FontRec_::charstrings_len, T1_FontRec_::encoding, T1_FontRec_::encoding_type, error, PS_PrivateRec_::expansion_factor, FT_ERROR, FT_NEW_ARRAY, ft_strcmp, T1_FontRec_::glyph_names, T1_FontRec_::glyph_names_block, i, idx, if(), PS_PrivateRec_::lenIV, PS_PrivateRec_::num_blue_values, T1_FontRec_::num_glyphs, T1_FontRec_::num_subrs, parse_dict(), T1_FontRec_::private_dict, T1_FontRec_::subrs, T1_FontRec_::subrs_block, T1_FontRec_::subrs_len, T1_Done_Blend(), t1_done_loader(), T1_ENCODING_TYPE_ARRAY, T1_Get_Private_Dict(), t1_init_loader(), and T1_New_Parser().

Referenced by T1_Face_Init().

T1_Set_MM_Blend | ( | T1_Face | face,
|  | FT_UInt | num_coords,
|  | FT_Fixed * | coords
| ) |  |

Definition at line 366 of file t1load.c.

References error, FT_MulFix(), m, PS_BlendRec_::num_axis, PS_BlendRec_::num_designs, and PS_BlendRec_::weight_vector.

Referenced by T1_Set_MM_Design().

T1_Set_MM_Design | ( | T1_Face | face,
|  | FT_UInt | num_coords,
|  | FT_Long * | coords
| ) |  |

Definition at line 413 of file t1load.c.

References PS_DesignMap_::blend_points, PS_BlendRec_::design_map, PS_DesignMap_::design_points, error, FT_MulDiv(), map, PS_BlendRec_::num_axis, PS_DesignMap_::num_points, T1_MAX_MM_DESIGNS, and T1_Set_MM_Blend().

Referenced by T1_Set_Var_Design().

T1_Set_Var_Design | ( | T1_Face | face,
|  | FT_UInt | num_coords,
|  | FT_Fixed * | coords
| ) |  |

Definition at line 489 of file t1load.c.

References error, FIXED_TO_INT, i, and T1_Set_MM_Design().